import stripCode from "rollup-plugin-strip-code";
import replace from "@rollup/plugin-replace";

const fs = require("fs");
const license = require("rollup-plugin-license");
import { terser } from "rollup-plugin-terser";
const versionInjector = require("rollup-plugin-version-injector");

const BANNER = fs.readFileSync(__dirname + "/../../BANNER.txt", "utf8") + "\n\n\n";

export default {

  plugins: [
    versionInjector(),
    replace({__flavour__: "cjs"}),
    stripCode({
      start_comment: "START-CJS",
      end_comment: "END-CJS"
    }),
    terser(),
    license({banner: BANNER}),
  ]

};
